<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/ncp/ncp_base.cpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d5/d6a/ncp__base_8cpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ncp_base.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file implements a Spinel interface to the OpenThread stack.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/d7b/code__utils_8hpp_source.html">common/code_utils.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/de4/ncp_8h_source.html">ncp/ncp.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d54/ncp__base_8hpp_source.html">ncp/ncp_base.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d1/dd4/ip6_8hpp_source.html">net/ip6.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dd/d45/openthread_8h_source.html">openthread.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../de/d49/openthread-diag_8h_source.html">openthread-diag.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d2/dfc/openthread-instance_8h_source.html">openthread-instance.h</a>&gt;</code><br />
<code>#include &lt;stdarg.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d7/d62/radio_8h_source.html">platform/radio.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d4/d08/misc_8h_source.html">platform/misc.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ncp_base.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/dc4/ncp__base_8cpp__incl.png" border="0" usemap="#src_2ncp_2ncp__base_8cpp" alt=""/></div>
<map name="src_2ncp_2ncp__base_8cpp" id="src_2ncp_2ncp__base_8cpp">
<area shape="rect" id="node4" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="3312,619,3474,644"/>
<area shape="rect" id="node6" href="../../d2/de4/ncp_8h.html" title="This file defines the top&#45;level functions for the OpenThread NCP module. " alt="" coords="3189,152,3269,177"/>
<area shape="rect" id="node10" href="../../df/d54/ncp__base_8hpp.html" title="This file contains definitions a spinel interface to the OpenThread stack. " alt="" coords="3005,472,3136,497"/>
<area shape="rect" id="node19" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="1031,699,1145,724"/>
<area shape="rect" id="node23" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="917,232,1005,257"/>
<area shape="rect" id="node30" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="936,619,1036,644"/>
<area shape="rect" id="node35" href="../../de/d49/openthread-diag_8h.html" title="This file defines the top&#45;level functions for the OpenThread diagnostics library. ..." alt="" coords="3292,152,3422,177"/>
<area shape="rect" id="node36" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="2368,79,2522,104"/>
<area shape="rect" id="node50" href="../../d4/d08/misc_8h.html" title="This file includes platform abstractions for miscellaneous behaviors. " alt="" coords="692,699,804,724"/>
<area shape="rect" id="node5" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="3355,852,3431,877"/>
<area shape="rect" id="node7" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="1932,779,2068,804"/>
<area shape="rect" id="node8" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="1114,852,1179,877"/>
<area shape="rect" id="node9" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="1931,852,2069,877"/>
<area shape="rect" id="node11" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="2903,619,3043,644"/>
<area shape="rect" id="node12" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="1611,545,1767,571"/>
<area shape="rect" id="node20" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="1995,545,2135,571"/>
<area shape="rect" id="node21" href="../../d8/d19/spinel_8h_source.html" title="spinel.h" alt="" coords="3497,545,3564,571"/>
<area shape="rect" id="node14" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="2413,619,2584,644"/>
<area shape="rect" id="node16" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="770,619,912,644"/>
<area shape="rect" id="node15" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="2417,692,2580,731"/>
<area shape="rect" id="node18" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="460,699,616,724"/>
<area shape="rect" id="node25" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="1181,312,1286,337"/>
<area shape="rect" id="node26" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1142,392,1285,417"/>
<area shape="rect" id="node27" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="1241,619,1383,644"/>
<area shape="rect" id="node28" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="1163,472,1258,497"/>
<area shape="rect" id="node29" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="1064,545,1172,571"/>
<area shape="rect" id="node31" href="../../df/dc2/ip6__routes_8hpp.html" title="This file includes definitions for manipulating IPv6 routing tables. " alt="" coords="1484,472,1616,497"/>
<area shape="rect" id="node32" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="1766,312,1882,337"/>
<area shape="rect" id="node34" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="1466,312,1565,337"/>
<area shape="rect" id="node33" href="../../df/d05/timer_8hpp.html" title="This file includes definitions for the multiplexed timer service. " alt="" coords="2045,472,2176,497"/>
<area shape="rect" id="node37" href="../../d2/d8a/mbedtls_8hpp.html" title="This file includes definitions for using mbedTLS. " alt="" coords="2866,152,3000,177"/>
<area shape="rect" id="node39" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="1995,152,2154,177"/>
<area shape="rect" id="node40" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="1589,312,1690,337"/>
<area shape="rect" id="node41" href="../../de/d0b/key__manager_8hpp.html" title="This file includes definitions for Thread security material generation. " alt="" coords="1410,392,1579,417"/>
<area shape="rect" id="node42" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="1470,232,1649,257"/>
<area shape="rect" id="node43" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="1673,232,1814,257"/>
<area shape="rect" id="node44" href="../../da/d32/ip6__filter_8hpp.html" title="This file includes definitions for IPv6 datagram filtering. " alt="" coords="491,392,610,417"/>
<area shape="rect" id="node45" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="2081,232,2271,257"/>
<area shape="rect" id="node46" href="../../d8/d26/announce__begin__server_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="2464,385,2626,424"/>
<area shape="rect" id="node47" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="2295,225,2435,264"/>
<area shape="rect" id="node48" href="../../dd/d07/network__diag_8hpp.html" title="This file includes definitions for handle network diagnostic. " alt="" coords="2509,232,2677,257"/>
<area shape="rect" id="node49" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1889,225,2057,264"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4203a5fce758950a5a25a42b790ac901"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4203a5fce758950a5a25a42b790ac901"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NCP_PLAT_RESET_REASON</b>&#160;&#160;&#160;(1U&lt;&lt;31)</td></tr>
<tr class="separator:a4203a5fce758950a5a25a42b790ac901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f83b3ac940ab53527f240a88e66ff31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f83b3ac940ab53527f240a88e66ff31"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>RSSI_OVERRIDE_DISABLED</b>&#160;&#160;&#160;127</td></tr>
<tr class="separator:a6f83b3ac940ab53527f240a88e66ff31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad075d21d63724204341f6caac622cbeb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad075d21d63724204341f6caac622cbeb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IGNORE_RETURN_VALUE</b>(s)            &#160;&#160;&#160;do { if (s){} } while (0)</td></tr>
<tr class="separator:ad075d21d63724204341f6caac622cbeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ad35116dc02b242c9cc375b15f47d5f53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad35116dc02b242c9cc375b15f47d5f53"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<b>kThreadMode_RxOnWhenIdle</b> = (1 &lt;&lt; 3), 
<br />
&#160;&#160;<b>kThreadMode_SecureDataRequest</b> = (1 &lt;&lt; 2), 
<br />
&#160;&#160;<b>kThreadMode_FullFunctionDevice</b> = (1 &lt;&lt; 1), 
<br />
&#160;&#160;<b>kThreadMode_FullNetworkData</b> = (1 &lt;&lt; 0)
<br />
 }</td></tr>
<tr class="separator:ad35116dc02b242c9cc375b15f47d5f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae400b49b7377bd07578d0b583bacda29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae400b49b7377bd07578d0b583bacda29"></a>
static spinel_status_t&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::ThreadErrorToSpinelStatus</b> (<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> error)</td></tr>
<tr class="separator:ae400b49b7377bd07578d0b583bacda29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92d22e6e6bab401e3f492353bb112b9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92d22e6e6bab401e3f492353bb112b9b"></a>
static spinel_status_t&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::ResetReasonToSpinelStatus</b> (<a class="el" href="../../d4/d08/misc_8h.html#a0cba84283c1ab3c6aa37c143e9a552c8">otPlatResetReason</a> reason)</td></tr>
<tr class="separator:a92d22e6e6bab401e3f492353bb112b9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6cd70da9618e6a94061eb74c8099d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e6cd70da9618e6a94061eb74c8099d7"></a>
static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::BorderRouterConfigToFlagByte</b> (const <a class="el" href="../../dd/dd0/structotBorderRouterConfig.html">otBorderRouterConfig</a> &amp;config)</td></tr>
<tr class="separator:a7e6cd70da9618e6a94061eb74c8099d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525ce21ede544e3c8743cf8cdb96e20c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d6a/ncp__base_8cpp.html#a525ce21ede544e3c8743cf8cdb96e20c">otNcpStreamWrite</a> (int aStreamId, const uint8_t *aDataPtr, int aDataLen)</td></tr>
<tr class="memdesc:a525ce21ede544e3c8743cf8cdb96e20c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data to the host via a specific stream.  <a href="#a525ce21ede544e3c8743cf8cdb96e20c">More...</a><br /></td></tr>
<tr class="separator:a525ce21ede544e3c8743cf8cdb96e20c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af15fb10eb5e96e805f87175d48956406"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af15fb10eb5e96e805f87175d48956406"></a>
static NcpBase *&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::sNcpContext</b> = NULL</td></tr>
<tr class="separator:af15fb10eb5e96e805f87175d48956406"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file implements a Spinel interface to the OpenThread stack. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a525ce21ede544e3c8743cf8cdb96e20c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otNcpStreamWrite </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aStreamId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aDataPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>aDataLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data to the host via a specific stream. </p>
<p>This function attempts to send the given data to the host using the given aStreamId. This is useful for reporting error messages, implementing debug/diagnostic consoles, and potentially other types of datastreams.</p>
<p>The write either is accepted in its entirety or rejected. Partial writes are not attempted.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aStreamId</td><td>A numeric identifier for the stream to write to. If set to '0', will default to the debug stream. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataPtr</td><td>A pointer to the data to send on the stream. If aDataLen is non-zero, this param MUST NOT be NULL. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataLen</td><td>The number of bytes of data from aDataPtr to send.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>The data was queued for delivery to the host. </td></tr>
    <tr><td class="paramname">kThreadError_Busy</td><td>There are not enough resources to complete this request. This is usually a temporary condition. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td>The given aStreamId was invalid. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d6a/ncp__base_8cpp_a525ce21ede544e3c8743cf8cdb96e20c_icgraph.png" border="0" usemap="#d5/d6a/ncp__base_8cpp_a525ce21ede544e3c8743cf8cdb96e20c_icgraph" alt=""/></div>
<map name="d5/d6a/ncp__base_8cpp_a525ce21ede544e3c8743cf8cdb96e20c_icgraph" id="d5/d6a/ncp__base_8cpp_a525ce21ede544e3c8743cf8cdb96e20c_icgraph">
<area shape="rect" id="node2" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="183,5,378,44"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_4eeddf84fddd42d44de1574042fba5c7.html">ncp</a></li><li class="navelem"><a class="el" href="../../d5/d6a/ncp__base_8cpp.html">ncp_base.cpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
